VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1080
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3015
   LinkTopic       =   "Form1"
   ScaleHeight     =   1080
   ScaleWidth      =   3015
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdPrint 
      Caption         =   "Print"
      Enabled         =   0   'False
      Height          =   375
      Left            =   1560
      TabIndex        =   3
      Top             =   600
      Width           =   735
   End
   Begin VB.ComboBox cboPrinter 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   720
      List            =   "Form1.frx":0002
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   120
      Width           =   2175
   End
   Begin VB.CommandButton cmdSelect 
      Caption         =   "Select"
      Enabled         =   0   'False
      Height          =   375
      Left            =   720
      TabIndex        =   0
      Top             =   600
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "Printer"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


' Return True if there is a problem.
Private Function SelectPrinter(ByVal printer_name As String) As Boolean
Dim i As Integer

    SelectPrinter = True
    For i = 0 To Printers.Count - 1
        If Printers(i).DeviceName = printer_name Then
            Set Printer = Printers(i)
            SelectPrinter = False
            Exit For
        End If
    Next i
End Function


Private Sub cboPrinter_Click()
    cmdSelect.Enabled = (cboPrinter.ListIndex >= 0)
End Sub


Private Sub cmdPrint_Click()
    On Error GoTo PrintError

    Printer.Line (1 * 1440, 1 * 1440)-(4.35 * 1440, 2 * 1440)
    Printer.CurrentX = 1.25 * 1440
    Printer.CurrentY = 1.25 * 1440
    With Printer.Font
        .Name = "Times New Roman"
        .Size = 24
    End With
    Printer.Print "The quick brown fox jumps over the lazy dog"
    Printer.EndDoc
    MsgBox "Ok"
    Exit Sub

PrintError:
    MsgBox "Error " & Format$(Err.Number) & " printing." & _
        vbCrLf & Err.Description
    Exit Sub
End Sub


Private Sub cmdSelect_Click()
    If SelectPrinter(cboPrinter.Text) Then
        MsgBox "Printer not found"
    Else
        cmdSelect.Enabled = False
        cmdPrint.Enabled = True
    End If
End Sub

Private Sub Form_Load()
Dim i As Integer

    cboPrinter.Clear
    For i = 0 To Printers.Count - 1
        cboPrinter.AddItem Printers(i).DeviceName
    Next i
End Sub


